﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ComboBoxChangeItemsSourceTest
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<Item> items;

        public ViewModel()
        {
            this.items = new ObservableCollection<Item>()
            {
                new Item() { Name = "Item 1", Id = 1 },
                new Item() { Name = "Item 2", Id = 2 },
                new Item() { Name = "Item 3", Id = 3 },
                new Item() { Name = "Item 4", Id = 4 },
                new Item() { Name = "Item 5", Id = 5 }
            };
        }

        /// <summary>
        /// Gets or sets Items and notifies for changes
        /// </summary>
        public ObservableCollection<Item> Items
        {
            get
            {
                return this.items;
            }

            set
            {
                if (this.items != value)
                {
                    this.items = value;
                    this.OnPropertyChanged(() => this.Items);
                }
            }
        }
    }
}
